package me.map.example.command;



import me.map.ultimatekingdom.API.UltimateKingdom;
import me.map.ultimatekingdom.API.cmd.AbstractCommand;

import me.map.ultimatekingdom.API.cmd.CommandSource;
import me.map.ultimatekingdom.API.cmd.KingdomCommand;
import me.map.ultimatekingdom.API.cmd.args.plugin.KingdomPlayerArgumentType;
import me.map.ultimatekingdom.API.objects.KingdomPlayer;
import me.map.ultimatekingdom.API.objects.MapBuilder;
import me.map.ultimatekingdom.libs.com.mojang.brigadier.Command;

import java.util.Map;

import static me.map.example.nl_lang.Lang.*;

public class TestCommand extends AbstractCommand {

    public TestCommand() {
        super("testcommand");
        setDescription(demo_description);
        setExtendedDescription(demo_extendedDescription); //Enum ivm vertalingen
        setShowUsageOnFail(true); //optional
        setPlayerOnly(true); //optional
        register(); //optional
    }


    @Override
    public void createCommand(KingdomCommand command) {
                command
                        .then(argument("player", KingdomPlayerArgumentType.kingdomplayer())
                                .executes(c -> {
                                    final KingdomPlayer kingdomPlayer = c.getArgument("player",KingdomPlayer.class);

                                    Map<String,Object> fields = new MapBuilder()
                                            .put("kingdomplayer",kingdomPlayer)
                                                    .build();
                                    c.getSource().send(false,stupid_command,fields);

                                    return Command.SINGLE_SUCCESS;
                                })

                        );
    }
}
