package me.map.example.listener;

import me.map.ultimatekingdom.API.UltimateKingdom;
import me.map.ultimatekingdom.API.objects.KingdomPlayer;
import me.map.ultimatekingdom.API.objects.MapBuilder;
import me.map.ultimatekingdom.gameplay.events.actions.KingdomBuildEvent;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.go.libs.U;

import java.util.Map;

import static me.map.example.nl_lang.Lang.break_block;

public class Luisteraar implements Listener {

    @EventHandler(priority = EventPriority.LOWEST)
    public void onJoin(KingdomBuildEvent event) {

        KingdomPlayer player = KingdomPlayer.get(event.getPlayer());

        UltimateKingdom.Messages().send(player,break_block,new MapBuilder()
                .put("kingdomplayer",player)
                .put("block",event.getBlock())
                .build());

    }
}
